@charset "utf-8";

.loginPop_login[data-v-aadd8495] { display: flex; flex-direction: column; gap: 0.53333rem; --van-cell-background: transparent; --van-cell-vertical-padding: 0; --van-cell-horizontal-padding: 0; padding-bottom: 0.13333rem; }

.loginPop_login .login-methods[data-v-aadd8495] { display: flex; margin-bottom: 0.26667rem; border: .02667rem solid var(--pop-method-btn-border); border-radius: 0.13333rem; background: var(--pop-method-btn-bg); box-shadow: rgba(0, 0, 0, 0.1) 0px 0.10667rem 0.10667rem; }

.loginPop_login .login-methods .method-btn[data-v-aadd8495] { flex: 1 1 0%; height: 0.74667rem; border-radius: 0.13333rem; display: flex; align-items: center; justify-content: center; gap: 0.10667rem; font-size: 0.28rem; letter-spacing: 0.05333rem; cursor: pointer; }

.loginPop_login .login-methods .method-btn.active[data-v-aadd8495] { background: var(--pop-method-btn-active-bg); box-shadow: rgba(0, 0, 0, 0.1) 0px 0.10667rem 0.10667rem; }

.loginPop_login .login-methods.one .method-btn.active[data-v-aadd8495], .loginPop_login .login-methods.two .method-btn[data-v-aadd8495] { border-left-width: medium; border-left-style: none; border-left-color: currentcolor; border-right-width: medium; border-right-style: none; border-right-color: currentcolor; }

.loginPop_login .login-methods.two .method-btn.first.active[data-v-aadd8495] { border-right: .02667rem solid var(--pop-method-btn-border, rgba(255, 255, 255, .2509803922)); }

.loginPop_login .login-methods.two .method-btn.last.active[data-v-aadd8495] { border-left: .02667rem solid var(--pop-method-btn-border, rgba(255, 255, 255, .2509803922)); }

.loginPop_login .forgot[data-v-aadd8495] { text-align: right; margin-top: 0.16rem; font-size: 0.32rem; color: var(--app-theme-3); padding-right: 0.16rem; cursor: pointer; }

.loginPop_login .quick-desc[data-v-aadd8495] { margin-top: 0.32rem; margin-bottom: -0.13333rem; font-size: 0.29333rem; text-align: center; }

.loginPop_login .quick-error[data-v-aadd8495] { margin-top: 0.26667rem; display: flex; align-items: center; gap: 0.16rem; color: var(--color-red, #ff4757); font-size: 0.32rem; }

.loginPop_login .quick-verify-wrap .quick-verify-title[data-v-aadd8495] { text-align: center; font-size: 0.29333rem; font-weight: 600; opacity: 0.8; }

.loginPop_login .quick-verify-wrap .quick-verify-account[data-v-aadd8495] { text-align: center; font-size: 0.32rem; margin-top: 0.10667rem; font-weight: 600; }

.loginPop_login .quick-verify-wrap .quick-verify-label[data-v-aadd8495] { margin-top: 0.37333rem; margin-bottom: 0.05333rem; font-size: 0.32rem; font-weight: 600; color: var(--app-theme-1); }

.loginPop_login .quick-verify-wrap .paste-btn[data-v-aadd8495] { height: 0.53333rem; line-height: 0.53333rem; text-align: center; font-size: 0.21333rem; padding: 0px 0.16rem; border-radius: 0.13333rem; background: var(--pop-paste-btn-bg); box-shadow: rgba(0, 0, 0, 0.1) 0px 0.10667rem 0.10667rem; cursor: pointer; }

.loginPop_login .quick-verify-wrap .resend-timer[data-v-aadd8495] { margin: 0.32rem 0px -0.13333rem; text-align: center; font-size: 0.34667rem; font-weight: 700; cursor: pointer; }

.loginPop_login .quick-verify-wrap .switch-email[data-v-aadd8495] { margin-top: 0.4rem; text-align: center; font-size: 0.29333rem; font-weight: 700; cursor: pointer; }

.loginPop_login[data-v-aadd8495] .van-field { margin-top: 0.26667rem; }

.loginPop_login[data-v-aadd8495] .van-field .van-field__body { background: var(--pop-field-bg, transparent); border-radius: 0.16rem; --van-field-input-text-color: var(--app-theme-1); border: .016rem solid var(--panel-border-color, rgba(0, 0, 0, .1882352941)); height: 0.90667rem; padding: 0px 0.74667rem 0px 0.26667rem; }

.loginPop_login[data-v-aadd8495] .van-field .van-field__body input { font-size: 0.34667rem; }

.loginPop_login[data-v-aadd8495] .van-field .van-field__left-icon { position: absolute; z-index: 9; left: 0.26667rem; top: 0.45333rem; transform: translateY(-50%); }

.loginPop_login[data-v-aadd8495] .van-field .van-field__clear, .loginPop_login[data-v-aadd8495] .van-field .van-field__right-icon { position: absolute; z-index: 9; right: 0.13333rem; top: 0.45333rem; transform: translateY(-50%); }

.loginPop_login[data-v-aadd8495] .van-field:first-child { margin-top: 0px; }

.loginPop_login[data-v-aadd8495] .van-field::after { border-bottom-width: medium; border-bottom-style: none; border-bottom-color: currentcolor; }

.loginPop_login .btn[data-v-aadd8495] { margin-top: 0.53333rem; padding: 0px; height: 0.8rem; }

.loginPop_login .btn > button[data-v-aadd8495] { border-width: medium; border-style: none; border-color: currentcolor; border-image: none; background: none; color: var(--van-button-primary-color, #fff); height: 100%; box-shadow: none; border-radius: 0px; width: 100%; }

.loginPop_login .tip[data-v-aadd8495] { display: flex; align-items: center; margin-top: 0.26667rem; font-size: 0.32rem; padding: 0px 0.4rem; }

.loginPop_login .tip .tip-icon[data-v-aadd8495] { overflow: hidden; margin-right: 0.13333rem; border-radius: 0.05333rem; width: 0.34667rem; height: 0.34667rem; border: .02667rem solid var(--floading-panel-border-color, rgba(0, 0, 0, .1882352941)); }

.loginPop_login .tip .tip-icon.active[data-v-aadd8495] { border-color: rgb(4, 190, 1); background: rgb(4, 190, 1); }

.loginPop_login .tip .a[data-v-aadd8495] { color: var(--app-theme-3); }

.loginPop_login[data-v-4b986e8c] { display: flex; flex-direction: column; gap: 0.53333rem; --van-cell-background: transparent; --van-cell-vertical-padding: 0; --van-cell-horizontal-padding: 0; padding-bottom: 0.13333rem; }

.loginPop_login[data-v-4b986e8c] .van-form { display: flex; flex-direction: column; }

.loginPop_login .content[data-v-4b986e8c] { flex: 0 1 auto; min-height: 0px; display: flex; flex-direction: column; border-radius: 0px; gap: 0px; }

.loginPop_login .content[data-v-4b986e8c] > * { flex-shrink: 0; }

.loginPop_login .content .label[data-v-4b986e8c] { color: var(--app-theme-1); font-size: 0.37333rem; font-weight: 500; margin-top: 0.26667rem; }

.loginPop_login .content .label[data-v-4b986e8c]:first-child { margin-top: 0px; }

.loginPop_login .content .label.re[data-v-4b986e8c]::before { content: "*"; color: var(--color-red, #ff4757); margin-right: 0.10667rem; }

.loginPop_login .btn[data-v-4b986e8c] { flex: 0 0 auto; height: 0.8rem; }

.loginPop_login[data-v-4b986e8c] .van-field { margin-top: 0.26667rem; }

.loginPop_login[data-v-4b986e8c] .van-field .van-field__body { background: var(--pop-field-bg, transparent); border-radius: 0.16rem; --van-field-input-text-color: var(--app-theme-1); border: .016rem solid var(--panel-border-color, rgba(0, 0, 0, .1882352941)); height: 0.90667rem; padding: 0px 0.74667rem 0px 0.26667rem; }

.loginPop_login[data-v-4b986e8c] .van-field .van-field__body input { font-size: 0.34667rem; }

.loginPop_login[data-v-4b986e8c] .van-field .van-field__left-icon { position: absolute; z-index: 9; left: 0.26667rem; top: 0.45333rem; transform: translateY(-50%); }

.loginPop_login[data-v-4b986e8c] .van-field .van-field__clear, .loginPop_login[data-v-4b986e8c] .van-field .van-field__right-icon { position: absolute; z-index: 9; right: 0.13333rem; top: 0.45333rem; transform: translateY(-50%); }

.loginPop_login[data-v-4b986e8c] .van-field:first-child { margin-top: 0px; }

.loginPop_login[data-v-4b986e8c] .van-field::after { border-bottom-width: medium; border-bottom-style: none; border-bottom-color: currentcolor; }

.loginPop_login .tg-field[data-v-4b986e8c] .van-field__body { padding-left: 0.93333rem; }

.loginPop_login .btn[data-v-4b986e8c] { margin-top: 0.53333rem; padding: 0px; }

.loginPop_login .btn > button[data-v-4b986e8c] { border-width: medium; border-style: none; border-color: currentcolor; border-image: none; background: none; color: var(--van-button-primary-color, #fff); height: 100%; box-shadow: none; border-radius: 0px; width: 100%; }

.loginPop_login .tg_img[data-v-4b986e8c] { width: 0.53333rem; height: 0.53333rem; }

.loginPop_login .pwdTips[data-v-4b986e8c] { margin-top: 0.13333rem; }

.loginPop_login .pwdTips .pwdChecklist[data-v-4b986e8c] { display: flex; flex-wrap: wrap; gap: 0.26667rem 0.37333rem; padding: 0.16rem 0px 0.05333rem; }

.loginPop_login .pwdTips .pwdChecklist li[data-v-4b986e8c] { display: flex; align-items: center; gap: 0.10667rem; color: rgb(217, 83, 79); }

.loginPop_login .pwdTips .pwdChecklist li.ok[data-v-4b986e8c] { color: rgb(46, 213, 115); }

.loginPop_login .pwdTips .pwdChecklist li span[data-v-4b986e8c] { font-size: 0.29333rem; }

.loginPop_login .pwdStrength[data-v-4b986e8c] { display: flex; align-items: center; }

.loginPop_login .pwdStrength label[data-v-4b986e8c] { color: var(--3, #ffd590); font-size: 0.26667rem; }

.loginPop_login .pwdStrength dd[data-v-4b986e8c] { margin-left: 0.10667rem; width: 1.06667rem; height: 0.05333rem; background-color: rgb(103, 103, 103); border-radius: 99em; }

.loginPop_login .pwdStrength.pwd0 dd.curr[data-v-4b986e8c] { background-color: var(--color-red, #ff4757); }

.loginPop_login .pwdStrength.pwd1 dd.curr[data-v-4b986e8c] { background-color: rgb(255, 184, 78); }

.loginPop_login .pwdStrength.pwd2 dd.curr[data-v-4b986e8c] { background-color: rgb(255, 252, 78); }

.loginPop_login .pwdStrength.pwd3 dd.curr[data-v-4b986e8c] { background-color: var(--color-blue, #3742fa); }

.loginPop_login .pwdStrength.pwd4 dd.curr[data-v-4b986e8c] { background-color: var(--color-green, #2ed573); }

.loginPop_login .currency-box[data-v-4b986e8c] { display: flex; align-items: center; gap: 0.21333rem; border-radius: 0.16rem; border: .01333rem solid var(--panel-border-color, rgba(0, 0, 0, .1882352941)); height: 0.90667rem; margin-top: 0.26667rem; padding: 0px 0.26667rem; }

.loginPop_login .currency-box .currency-static[data-v-4b986e8c] { width: 100%; height: 100%; display: flex; align-items: center; gap: 0.16rem; padding: 0px 0.22667rem; color: var(--app-theme-1); }

.loginPop_login .currency-box .currency-static span[data-v-4b986e8c] { font-size: 0.37333rem; }

.loginPop_login .currency-box .currency-name[data-v-4b986e8c] { font-size: 0.37333rem; color: var(--app-theme-1); }

.loginPop_login .tip[data-v-4b986e8c] { display: flex; align-items: center; margin-top: 0.26667rem; font-size: 0.32rem; padding: 0px 0.4rem; }

.loginPop_login .tip .tip-icon[data-v-4b986e8c] { border-radius: 0.05333rem; overflow: hidden; margin-right: 0.13333rem; display: flex; justify-content: center; align-items: center; width: 0.34667rem; height: 0.34667rem; border: .02667rem solid var(--floading-panel-border-color, rgba(0, 0, 0, .1882352941)); }

.loginPop_login .tip .tip-icon.active[data-v-4b986e8c] { border-color: rgb(4, 190, 1); background: rgb(4, 190, 1); }

.loginPop_login .tip .a[data-v-4b986e8c] { color: var(--app-theme-3); }

.phone-area-pop[data-v-2a3eb360] { width: 9.29333rem; max-height: 90%; border-radius: 0.21333rem; }

.login-pop-container[data-v-2a3eb360] { width: 100%; margin: auto; height: 100%; position: relative; background-image: ; background-attachment: ; background-origin: ; background-clip: ; background-color: ; background-size: cover; background-position: center center; background-repeat: no-repeat; border-radius: 0.26667rem; box-shadow: rgba(255, 255, 255, 0.1) 0px 0px 0px 0.02667rem inset; }

.login-pop-container[data-v-2a3eb360] > * { flex-shrink: 0; }

.login-pop-container .pop-topbar[data-v-2a3eb360] { height: 1.17333rem; display: flex; align-items: center; position: relative; padding: 0px 0.37333rem; background: var(--pop-topbar-bg); border-bottom: .02667rem solid var(--panel-border-color, rgba(0, 0, 0, .1882352941)); }

.login-pop-container .pop-topbar .pop-title[data-v-2a3eb360] { font-size: 0.34667rem; font-weight: 600; letter-spacing: 0.02667rem; color: var(--app-theme-1); }

.login-pop-container .pop-topbar .close[data-v-2a3eb360] { position: absolute; top: 50%; right: 0.37333rem; transform: translateY(-50%); cursor: pointer; }

.login-pop-container .pop-content[data-v-2a3eb360] { padding: 0px 0.4rem 0.53333rem; position: relative; }

.login-pop-container .logo[data-v-2a3eb360] { width: 100%; height: 1.73333rem; object-fit: contain; padding: 0.26667rem 0px; }

.login-pop-container .content-container[data-v-2a3eb360] { width: 100%; overflow: hidden; position: relative; }

.login-pop-container .auth-tabs[data-v-2a3eb360] { position: relative; display: flex; gap: 0px; height: 0.8rem; margin-bottom: 0.26667rem; border: .02667rem solid var(--pop-method-btn-border, rgba(255, 255, 255, .2509803922)); border-radius: 0.13333rem; background: var(--pop-method-btn-bg, rgba(255, 234, 195, .0509803922)); overflow: visible; }

.login-pop-container .auth-tab[data-v-2a3eb360] { position: relative; flex: 1 1 0%; height: 100%; box-sizing: border-box; display: flex; align-items: center; justify-content: center; gap: 0.10667rem; border-radius: 0px; color: var(--app-theme-1); font-size: 0.28rem; letter-spacing: 0.05333rem; cursor: pointer; background: transparent; z-index: 1; }

.login-pop-container .auth-tab.active[data-v-2a3eb360] { background: var(--pop-method-btn-active-bg, rgba(255, 51, 0, .3019607843)); border: 0.02667rem solid rgb(230, 187, 111); border-radius: 0.13333rem; height: calc(100% + 0.05333rem); margin-top: -0.02667rem; margin-bottom: -0.02667rem; z-index: 2; box-shadow: rgba(0, 0, 0, 0.1) 0px 0.10667rem 0.10667rem; }

.login-pop-container .auth-tab:first-child.active[data-v-2a3eb360] { margin-left: -0.02667rem; }

.login-pop-container .auth-tab:last-child.active[data-v-2a3eb360] { margin-right: -0.02667rem; }

.login-pop-container .auth-tab .register-badge[data-v-2a3eb360] { position: absolute; right: 0.05333rem; top: -0.45333rem; min-height: 0.48rem; max-width: 3.52rem; padding: 0.05333rem 0.16rem; box-sizing: border-box; background: rgb(239, 53, 54); border-radius: 2.64rem 2.64rem 2.64rem 0px; display: flex; align-items: center; justify-content: center; pointer-events: none; }

.login-pop-container .auth-tab .register-badge .badge-tail[data-v-2a3eb360] { position: absolute; left: 0px; bottom: -0.13333rem; }

.login-pop-container .auth-tab .badge-text[data-v-2a3eb360] { font-family: "PingFang SC"; color: rgb(255, 255, 255); font-size: 0.18667rem; font-weight: 500; letter-spacing: 0px; line-height: 1.15; text-align: center; white-space: normal; word-break: break-word; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; }

.login-pop-container .quick-login-box[data-v-2a3eb360] { margin-top: 0.24rem; }

.login-pop-container .quick-login-box .quick-login-title[data-v-2a3eb360] { display: flex; align-items: center; font-size: 0.29333rem; color: var(--app-theme-1); line-height: 1; }

.login-pop-container .quick-login-box .quick-login-title .line[data-v-2a3eb360] { flex: 1 1 0%; height: 0.02667rem; background: var(--pop-quick-login-line-color, #545b6f); }

.login-pop-container .quick-login-box .quick-login-title .text[data-v-2a3eb360] { margin: 0px 0.21333rem; white-space: nowrap; }

.login-pop-container .quick-login[data-v-2a3eb360] { display: flex; align-items: center; justify-content: center; margin-top: 0.26667rem; gap: 0.4rem; }

.login-pop-container .quick-login img[data-v-2a3eb360] { width: 0.8rem; height: 0.8rem; cursor: pointer; }

.login-pop-container .foot[data-v-2a3eb360] { color: var(--pop-foot-item-color); margin-top: 0.21333rem; font-size: 0.29333rem; }

.login-pop-container .foot .foot-item[data-v-2a3eb360] { display: flex; justify-content: space-evenly; }

.login-pop-container .foot .foot-item > div[data-v-2a3eb360] { display: flex; flex-direction: column; align-items: center; width: 2.4rem; word-break: break-all; text-align: center; }

.login-pop-container .foot .foot-item > div .icon-war[data-v-2a3eb360] { padding: 0.21333rem; margin-bottom: 0.08rem; }

.lantern-festival-theme .van-field__error-message { color: var(--app-theme-3); }

.lantern-festival-theme .loginPop_login .pwdTips .pwdChecklist li { color: var(--app-theme-1); }